<?php

    class Acal extends CI_controller{
        public function __construct()
        {
            # code...
            parent::__construct();
            $admin = $this->session->userdata('admin');
            if(empty($admin)){
                $this->session->set_flashdata('msg', 'Your session has been expired');
                redirect(base_url('admin/login/index'));
            }
        }



        public function create()
        {

            // ====> view code start
                # code...
                $data = [];
                // for sidebar
                $data['mainModule'] = 'academic';
                $data['subModule'] = 'acal';
                
                $this->load->library('form_validation');
                $this->load->model('Acal_model');

                $acal = $this->Acal_model->get_acal();
                $data['acal'] = $acal;
            // ====> view code end


            # code...
            $config['upload_path']          = './public/uploads/acal/';
            $config['allowed_types']        = 'pdf';
            $config['encrypt_name']         = TRUE;

            $this->load->library('upload', $config);
           
            $this->form_validation->set_rules('session', 'Session', 'trim|required');
            $this->form_validation->set_error_delimiters('<p class="invalid-feedback">', '</p>');

            if($this->form_validation->run()==true){
                if($_FILES['file']['name']){
                    if($this->upload->do_upload('file')){
                        $data = $this->upload->data();

                        $formArray['session'] = $this->input->post('session');
                        $formArray['acal_file'] = $data['file_name'];
                        $formArray['added_on'] = date('Y-m-d H:i:s');

                        $this->Acal_model->add_acal($formArray);
                        
                        $this->session->set_flashdata('success', 'Academic Calender added successfully!');
                        redirect(base_url().'admin/acal/create');
                    }else{
                        $this->session->set_flashdata('error', 'Sorry, something went wrong!');
                        redirect(base_url().'admin/acal/create');
                    }
                }else{
                    $this->session->set_flashdata('error', 'Sorry, something went wrong!');
                    redirect(base_url().'admin/acal/create');
                }
            }else{
                $this->load->view('admin/acal', $data);
            }
        }




        public function delete($id)
        {
            # code...
            $this->load->model('Acal_model');
            $acal = $this->Acal_model->getSingleAcal($id);
            if(empty($acal)){
                $this->session->set_flashdata('error', 'Academic calender not found!');
                redirect(base_url().'admin/acal/create');
            }else{
                if(file_exists('./public/uploads/acal/'.$acal[0]['acal_file'])){
                    unlink('./public/uploads/acal/'.$acal[0]['acal_file']);
                }

                $this->Acal_model->deleteAcal($id);
                $this->session->set_flashdata('success', 'Academic calender deleted successfully!');
                redirect(base_url().'admin/acal/create');
            }
        }

        public function getDataAjax($id)
        {
            # code...
            $this->load->model('Acal_model');
            $temp_acal = $this->Acal_model->getSingleAcal($id);
            $acal = json_encode($temp_acal);
            echo $acal;
        }

        

        // edit code
        public function edit()
        {
            # code...
            $config['upload_path']          = './public/uploads/acal/';
            $config['allowed_types']        = 'pdf';
            $config['encrypt_name']         = TRUE;

            $this->load->library('upload', $config);
            $this->load->model('Acal_model');
            $this->load->library('form_validation');

            // Validation start
            $this->form_validation->set_error_delimiters('<p class="invalid-feedback">', '</p>');
            $this->form_validation->set_rules('eid', 'ID', 'trim|required');
            $this->form_validation->set_rules('esession', 'Session', 'trim|required');
            
            if($this->form_validation->run()==true){
                
                // main threat for updation --->
                $id = $this->input->post('eid');
                
                if(!empty($_FILES['efile']['name'])){
                    // file uploading
                        if($this->upload->do_upload('efile')){
                        $data = $this->upload->data();

                        // unlink the older file first
                        $acal = $this->Acal_model->getSingleAcal($id);
                        $path = './public/uploads/acal/'.$acal[0]['acal_file'];
                        if(file_exists($path)){
                            unlink($path);
                            }

                        $formArray = [];
                        $formArray['session'] = $this->input->post('esession');
                        $formArray['acal_file'] = $data['file_name'];

                        $this->Acal_model->editAcal($id, $formArray);

                        $this->session->set_flashdata('success', 'Academic Calender Updated Successfully!');
                        redirect(base_url().'admin/acal/create');
                    }else{
                        // if we will get get any error
                        $error = $this->upload->display_errors("<p class='invalid-feedback'>", "</p>");
                        $data['errorFileUpload'] = $error;
                        redirect(base_url().'admin/acal/create');
                    }                    

                }else{
                    // without file uploading
                    $formArray = [];
                    $formArray['session'] = $this->input->post('esession');
                    $this->Acal_model->editAcal($id, $formArray);
                    $this->session->set_flashdata('success', 'Academic Calender Updated Successfully!');
                    redirect(base_url().'admin/acal/create');
                }
                
            }else{
                $this->session->set_flashdata('error', 'Sorry, something went wrong!');
                redirect(base_url().'admin/acal/create');
            }

        }
    



    }