<?php

    class audit extends CI_controller{
        public function __construct()
        {
            # code...
            parent::__construct();
            $admin = $this->session->userdata('admin');
            if(empty($admin)){
                $this->session->set_flashdata('msg', 'Your session has been expired');
                redirect(base_url('admin/login/index'));
            }
        }


        public function create()
        {


                // =====> view code start
                    # code...
                    $data = [];
                    // for sidebar
                    $data['mainModule'] = 'naac';
                    $data['subModule'] = 'audit';

                    $this->load->library('form_validation');
                    $this->load->model('Audit_model');
                    
                    $audit = $this->Audit_model->get_audit();
                    $data['audit'] = $audit;
                // ====> view code end


            # code...
            $config['upload_path']          = './public/uploads/audit/';
            $config['allowed_types']        = 'pdf';
            $config['encrypt_name']         = TRUE;

            $this->load->library('upload', $config);

            $this->form_validation->set_rules('session', 'Session', 'trim|required');
            $this->form_validation->set_error_delimiters('<p class="invalid-feedback">', '</p>');

            if($this->form_validation->run()==true){
                if(!empty($_FILES['file']['name'])){
                    if($this->upload->do_upload('file')){
                        $data = $this->upload->data();
                        $formArray['audit_session'] = $this->input->post('session');
                        $formArray['audit_file'] = $data['file_name'];
                        $formArray['added_on'] = date('Y-m-d H:i:s');
                        $this->Audit_model->create_audit($formArray);
                        $this->session->set_flashdata('success', 'audit added successfully!');
                        redirect(base_url().'admin/audit/create'); 
                    }else{
                        $this->session->set_flashdata('error', 'Sorry, something went wrong!');
                        redirect(base_url().'admin/audit/create');
                    }
                }else{
                    $this->session->set_flashdata('error', 'Sorry, something went wrong!');
                    redirect(base_url().'admin/audit/create');
                }
            }else{
                // $this->load->view('admin/audit');
                $this->load->view('admin/audit', $data);
            }

        }



        public function delete($id)
        {
            # code...
            $this->load->model('Audit_model');
            $audit = $this->Audit_model->getSingleaudit($id);
            if(empty($audit)){
                $this->session->set_flashdata('error', 'audit not found!');
                redirect(base_url().'admin/audit/create');
            }else{
                if(file_exists('./public/uploads/audit/'.$audit[0]['audit_file'])){
                    unlink('./public/uploads/audit/'.$audit[0]['audit_file']);
                }

                $this->Audit_model->deleteaudit($id);
                $this->session->set_flashdata('success', 'audit deleted successfully!');
                redirect(base_url().'admin/audit/create');
            }
        }


        public function getDataAjax($id)
        {
            # code...
            $this->load->model('Audit_model');
            $temp_audit = $this->Audit_model->getSingleaudit($id);
            $audit = json_encode($temp_audit);
            echo $audit;
        }


        
        // edit code
        public function edit()
        {
            # code...
            $config['upload_path']          = './public/uploads/audit/';
            $config['allowed_types']        = 'pdf';
            $config['encrypt_name']         = TRUE;

            $this->load->library('upload', $config);
            $this->load->model('Audit_model');
            $this->load->library('form_validation');

            // Validation start
            $this->form_validation->set_error_delimiters('<p class="invalid-feedback">', '</p>');
            $this->form_validation->set_rules('eid', 'ID', 'trim|required');
            $this->form_validation->set_rules('esession', 'Session', 'trim|required');
            
            if($this->form_validation->run()==true){
                
                // main threat for updation --->
                $id = $this->input->post('eid');
                
                if(!empty($_FILES['efile']['name'])){
                    // file uploading
                        if($this->upload->do_upload('efile')){
                        $data = $this->upload->data();

                        // unlink the older file first
                        $audit = $this->Audit_model->getSingleaudit($id);
                        $path = './public/uploads/audit/'.$audit[0]['audit_file'];
                        if(file_exists($path)){
                            unlink($path);
                            }

                        $formArray = [];
                        $formArray['audit_session'] = $this->input->post('esession');
                        $formArray['audit_file'] = $data['file_name'];

                        $this->Audit_model->editaudit($id, $formArray);

                        $this->session->set_flashdata('success', 'audit Updated Successfully!');
                        redirect(base_url().'admin/audit/create');
                    }else{
                        // if we will get get any error
                        $error = $this->upload->display_errors("<p class='invalid-feedback'>", "</p>");
                        $data['errorFileUpload'] = $error;
                        redirect(base_url().'admin/audit/create');
                    }                    

                }else{
                    // without file uploading
                    $formArray = [];
                    $formArray['audit_session'] = $this->input->post('esession');
                    $this->Audit_model->editaudit($id, $formArray);
                    $this->session->set_flashdata('success', 'audit Updated Successfully!');
                    redirect(base_url().'admin/audit/create');
                }
                
            }else{
                $this->session->set_flashdata('error', 'Sorry, something went wrong!');
                redirect(base_url().'admin/audit/create');
            }

        }
    



    }