<?php

    class Time_table extends CI_controller{
        public function __construct()
        {
            # code...
            parent::__construct();
            $admin = $this->session->userdata('admin');
            if(empty($admin)){
                $this->session->set_flashdata('msg', 'Your session has been expired');
                redirect(base_url('admin/login/index'));
            }
        }


        public function create()
        {

            // ====>view code start
            # code...
            $data = [];
            // for sidebar
            $data['mainModule'] = 'academic';
            $data['subModule'] = 'time_table';

            $this->load->library('form_validation');
            $this->load->model('Time_table_model');

            $time_table = $this->Time_table_model->get_time_table();
            $data['time_table'] = $time_table;
            // =====> view code end

            # code...
            $config['upload_path']          = './public/uploads/time_table/';
            $config['allowed_types']        = 'pdf';
            $config['encrypt_name']         = TRUE;

            $this->load->library('upload', $config);
            
            $this->form_validation->set_rules('session', 'Session', 'trim|required');
            $this->form_validation->set_error_delimiters('<p class="invalid-feedback">', '</p>');

            if($this->form_validation->run()==true){
                if($_FILES['file']['name']!=""){
                    if($this->upload->do_upload('file')){
                        $data = $this->upload->data();
                        $formArray['session'] = $this->input->post('session');
                        $formArray['time_table_file'] = $data['file_name'];
                        $formArray['added_on'] = date('Y-m-d H:i:s');
                        
                        $this->Time_table_model->add_time_table($formArray);

                        $this->session->set_flashdata('success', 'Time-table added successfully!');
                        redirect(base_url().'admin/time_table/create');

                    }else{
                        $this->session->set_flashdata('error', 'Sorry, something went wrong!');
                        redirect(base_url().'admin/time_table/create');
                    }
                }else{
                    $this->session->set_flashdata('error', 'Sorry, something went wrong!');
                    redirect(base_url().'admin/time_table/create');
                }
            }else{
                $this->load->view('admin/time_table', $data);
            }

        }




        public function delete($id)
        {
            # code...
            $this->load->model('Time_table_model');
            $timetable = $this->Time_table_model->getSingleTimeTable($id);
            if(empty($timetable)){
                $this->session->set_flashdata('error', 'Time table not found!');
                redirect(base_url().'admin/time_table/create');
            }else{
                if(file_exists('./public/uploads/time_table/'.$timetable[0]['time_table_file'])){
                    unlink('./public/uploads/time_table/'.$timetable[0]['time_table_file']);
                }

                $this->Time_table_model->deleteTimeTable($id);
                $this->session->set_flashdata('success', 'Time table deleted successfully!');
                redirect(base_url().'admin/time_table/create');
            }
        }


        public function getDataAjax($id)
        {
            # code...
            $this->load->model('Time_table_model');
            $temp_timetable = $this->Time_table_model->getSingleTimeTable($id);
            $timetable = json_encode($temp_timetable);
            echo $timetable;
        }



        
        // edit code
        public function edit()
        {
            # code...
            $config['upload_path']          = './public/uploads/time_table/';
            $config['allowed_types']        = 'pdf';
            $config['encrypt_name']         = TRUE;

            $this->load->library('upload', $config);
            $this->load->model('Time_table_model');
            $this->load->library('form_validation');

            // Validation start
            $this->form_validation->set_error_delimiters('<p class="invalid-feedback">', '</p>');
            $this->form_validation->set_rules('eid', 'ID', 'trim|required');
            $this->form_validation->set_rules('esession', 'Session', 'trim|required');
            
            if($this->form_validation->run()==true){
                
                // main threat for updation --->
                $id = $this->input->post('eid');
                
                if(!empty($_FILES['efile']['name'])){
                    // file uploading
                        if($this->upload->do_upload('efile')){
                        $data = $this->upload->data();

                        // unlink the older file first
                        $tt = $this->Time_table_model->getSingleTimeTable($id);
                        $path = './public/uploads/time_table/'.$tt[0]['time_table_file'];
                        if(file_exists($path)){
                            unlink($path);
                            }

                        $formArray = [];
                        $formArray['session'] = $this->input->post('esession');
                        $formArray['time_table_file'] = $data['file_name'];

                        $this->Time_table_model->editTimeTable($id, $formArray);

                        $this->session->set_flashdata('success', 'Time Table Updated Successfully!');
                        redirect(base_url().'admin/time_table/create');
                    }else{
                        // if we will get get any error
                        $error = $this->upload->display_errors("<p class='invalid-feedback'>", "</p>");
                        $data['errorFileUpload'] = $error;
                        redirect(base_url().'admin/time_table/create');
                    }                    

                }else{
                    // without file uploading
                    $formArray = [];
                    $formArray['session'] = $this->input->post('esession');
                    $this->Time_table_model->editTimeTable($id, $formArray);
                    $this->session->set_flashdata('success', 'Time Table Updated Successfully!');
                    redirect(base_url().'admin/time_table/create');
                }
                
            }else{
                $this->session->set_flashdata('error', 'Sorry, something went wrong!');
                redirect(base_url().'admin/time_table/create');
            }

        }
    


    }