<!DOCTYPE html>

<html lang="en" class="light-style layout-menu-fixed " dir="ltr" data-theme="theme-default" data-assets-path="../assets/" data-template="vertical-menu-template-free">
    
<head>
    <?php
        $data = [];
        $data['title'] = "AQAR";
        $this->load->view('admin/components/header_link', $data); 
    ?>
</head>

<body>

  <!-- Layout wrapper -->
<div class="layout-wrapper layout-content-navbar  ">
  <div class="layout-container">


    <?php $this->load->view('admin/components/menu'); ?>
    
    
    <!-- Layout container -->
    <div class="layout-page">
        
        
        <!-- Navbar -->
        <?php $this->load->view('admin/components/navbar'); ?>
        <!-- / Navbar -->

      

      <!-- Content wrapper -->
      <div class="content-wrapper">
        <!-- Content -->
          <div class="container-xxl flex-grow-1 container-p-y">
            <div class="row">
                <div class="col-sm-12">
                    <?php
                    if($this->session->flashdata('success')!=""){
                    ?>
                        <div class="alert alert-success" role="alert">
                            <?php echo $this->session->flashdata('success'); ?>
                        </div>
                    <?php
                    }
                    ?>

                    <?php
                    if($this->session->flashdata('error')!=""){
                    ?>
                        <div class="alert alert-danger" role="alert">
                            <?php echo $this->session->flashdata('error'); ?>
                        </div>
                    <?php
                    }
                    ?>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12 mb-4 order-0">
                    <div class="card">
                        <div class="card-header d-flex justify-content-between align-items-center">
                            <h5 class="mb-0">Add AQAR</h5>
                        </div>
                        <div class="card-body">
                            <form action="<?php echo base_url().'admin/aqar/create'; ?>" method="post" enctype="multipart/form-data">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="session">Session</label>
                                            <input type="text" required class="form-control <?php echo (form_error('session'))?"is-invalid":""; ?>" value="<?php echo set_value('session'); ?>" id="session" name="session" placeholder="Session" />
                                            <?php echo (form_error('session'))?form_error('session'):""; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="file">Upload File</label>
                                            <input type="file" required id="file" name="file" class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-primary">Save AQAR</button>
                            </form>
                        </div>                            
                    </div>
                </div>

                <div class="col-lg-12 mb-4 order-0">
                    <div class="card">
                        <div class="card-header d-flex justify-content-between align-items-center">
                            <h5 class="mb-0">View AQAR</h5>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive text-nowrap">
                                <table class="table datatable table-bordered">
                                    <thead>
                                    <tr>
                                        <th>S. No.</th>
                                        <th>Session</th>
                                        <th>File</th>
                                        <th>Date</th>
                                        <th>Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>

                                    <?php
                                    $i = 1;
                                    if(isset($aqar)){
                                        foreach($aqar as $aqar){
                                    ?>

                                    <tr>
                                        <td><?php echo $i; ?></td>
                                        <td><?php echo $aqar['aqar_session'] ?></td>
                                        <td><a href="<?php echo base_url().'public/uploads/aqar/'.$aqar['aqar_file']; ?>" target="_blank"><span class="badge bg-label-primary me-1">view file</span></a></td>
                                        <td><?php echo date('d-M-Y', strtotime($aqar['added_on'])); ?></td>
                                        <td>
                                        <div class="dropdown">
                                            <button type="button" class="btn p-0 dropdown-toggle hide-arrow" data-bs-toggle="dropdown"><i class="bx bx-dots-vertical-rounded"></i></button>
                                            <div class="dropdown-menu">
                                            <a class="dropdown-item" href="javascript:void(0);" onclick="showEdit(<?php echo $aqar['aqar_id'] ?>)"><i class="bx bx-edit-alt me-1"></i> Edit</a>
                                            <a class="dropdown-item" href="javascript:void(0);" onclick="deleteAqar(<?php echo $aqar['aqar_id'] ?>)"><i class="bx bx-trash me-1"></i> Delete</a>
                                            </div>
                                        </div>
                                        </td>
                                    </tr>
                                    <?php
                                    $i++;
                                        }
                                    }
                                    ?>
                                

                                    </tbody>
                                </table>
                            </div>
                        </div>                            
                    </div>
                </div>
            </div>
          </div>
          <!-- / Content -->


                    

          <!-- offcanvas start -->
          <div class="offcanvas offcanvas-end" tabindex="-1" id="editOffCanvas" aria-labelledby="offcanvasEndLabel">
            <div class="offcanvas-header">
              <h5 id="offcanvasEndLabel" class="offcanvas-title">Edit AQAR</h5>
              <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
            </div>
            <div class="offcanvas-body">
                <form action="<?php echo base_url().'admin/aqar/edit'; ?>" method="post" enctype="multipart/form-data">
                    <div class="row">
                        <div class="col-md-12">
                            <input type="hidden" name="eid" id="eid" value="">
                            <div class="mb-3">
                                <label class="form-label" for="esession">Session <span class="text-danger">*</span></label>
                                <input type="text" name="esession" required class="form-control <?php echo (!empty(form_error('esession')))?"is-invalid" : ""; ?>" value="<?php echo set_value('esession') ?>" id="esession" placeholder="Session" />
                                <?php echo (!empty(form_error('esession')))? form_error('esession') : ""; ?>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="mb-3">
                                <label class="form-label" for="efile">Upload File</label>
                                <input type="file" id="efile" name="efile" class="form-control <?php echo (!empty($errorFileUpload)) ?"is-invalid":""; ?>">
                                <?php echo (!empty($errorFileUpload))? $errorFileUpload : ""; ?>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary">Save AQAR</button>
                </form>
            </div>
          </div>
          <!-- offcanvas end -->





          
          <?php $this->load->view('admin/components/footer'); ?>
  
  <?php $this->load->view('admin/components/footer_link');  ?>

<script>
    function deleteAqar(id){
        if(window.confirm("Are you sure, you want to delete this AQAR?")){
            window.location.href = "<?php echo base_url().'admin/aqar/delete/' ?>"+id;
        }
    }

    
    // Edit code
    function showEdit(id){
    $.ajax({
        type:"POST",
        url:"<?php echo base_url().'admin/aqar/getDataAjax/' ?>"+id,
        success:function(response){
            let data = JSON.parse(response)
            $("#eid").val(data[0].aqar_id);
            $("#esession").val(data[0].aqar_session);
        }
    })

    const editOffCanvas = document.getElementById("editOffCanvas");
    var bsOffcanvas = new bootstrap.Offcanvas(editOffCanvas)
    bsOffcanvas.show()
    }
</script>
  
</body>
</html>
