<!DOCTYPE html>

<html lang="en" class="light-style layout-menu-fixed " dir="ltr" data-theme="theme-default" data-assets-path="../assets/" data-template="vertical-menu-template-free">
    
<head>
    <?php
        $data = [];
        $data['title'] = "Committee";
        $this->load->view('admin/components/header_link', $data); 
    ?>
</head>

<body>

  <!-- Layout wrapper -->
<div class="layout-wrapper layout-content-navbar  ">
  <div class="layout-container">


    <?php $this->load->view('admin/components/menu'); ?>
    
    
    <!-- Layout container -->
    <div class="layout-page">
        
        
        <!-- Navbar -->
        <?php $this->load->view('admin/components/navbar'); ?>
        <!-- / Navbar -->

      

      <!-- Content wrapper -->
      <div class="content-wrapper">
        <!-- Content -->
          <div class="container-xxl flex-grow-1 container-p-y">
            <div class="row">
                <div class="col-sm-12">
                    <?php
                    if($this->session->flashdata('success')!=""){
                    ?>
                        <div class="alert alert-success" role="alert">
                            <?php echo $this->session->flashdata('success'); ?>
                        </div>
                    <?php
                    }
                    ?>

                    <?php
                    if($this->session->flashdata('error')!=""){
                    ?>
                        <div class="alert alert-danger" role="alert">
                            <?php echo $this->session->flashdata('error'); ?>
                        </div>
                    <?php
                    }
                    ?>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12 mb-4 order-0">
                    <div class="card">
                        <div class="card-header d-flex justify-content-between align-items-center">
                            <h5 class="mb-0">Add Committee</h5>
                        </div>
                        <div class="card-body">
                            <form action="<?php echo base_url().'admin/committee/create'; ?>" method="post">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="mb-3">
                                            <label class="form-label" for="committee">Committee</label>
                                            <input type="text" required class="form-control <?php echo (!empty(form_error('committee')))?"is-invalid":""; ?>" id="committee" name="committee" value="<?php echo set_value('committee'); ?>" placeholder="Committee Name" />
                                            <?php echo (!empty(form_error('committee')))?form_error('committee'):""; ?>
                                        </div>
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-primary">Save Committee</button>
                            </form>
                        </div>                            
                    </div>
                </div>

                <div class="col-lg-12 mb-4 order-0">
                    <div class="card">
                        <div class="card-header d-flex justify-content-between align-items-center">
                            <h5 class="mb-0">View Committee</h5>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive text-nowrap">
                                <table class="table datatable table-bordered">
                                    <thead>
                                    <tr>
                                        <th>S. NO.</th>
                                        <th>Committee Name</th>
                                        <th>Date</th>
                                        <th>Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $i = 1;
                                        if(isset($committee)){
                                            foreach($committee as $committee){
                                        ?>
                                    <tr>
                                        <td><?php echo $i; ?></td>
                                        <td><?php echo $committee['committee_name']; ?></td>
                                        <td><?php echo date('d-M-Y', strtotime($committee['created_at'])) ?></td>
                                        <td>
                                        <div class="dropdown">
                                            <button type="button" class="btn p-0 dropdown-toggle hide-arrow" data-bs-toggle="dropdown"><i class="bx bx-dots-vertical-rounded"></i></button>
                                            <div class="dropdown-menu">
                                            <a class="dropdown-item" href="javascript:void(0);" onclick="showEdit(<?php echo $committee['cc_id'] ?>)"><i class="bx bx-edit-alt me-1"></i> Edit</a>
                                            <a class="dropdown-item" href="javascript:void(0);" onclick="deleteComm(<?php echo $committee['cc_id'] ?>)"><i class="bx bx-trash me-1"></i> Delete</a>
                                            </div>
                                        </div>
                                        </td>
                                    </tr>
                                    <?php
                                    $i++;
                                            }
                                        }
                                    ?>
                                  
                                    </tbody>
                                </table>
                            </div>
                        </div>                            
                    </div>
                </div>
            </div>
          </div>
          <!-- / Content -->



          
          <!-- offcanvas start -->
          <div class="offcanvas offcanvas-end" tabindex="-1" id="editOffCanvas" aria-labelledby="offcanvasEndLabel">
            <div class="offcanvas-header">
              <h5 id="offcanvasEndLabel" class="offcanvas-title">Edit Committee</h5>
              <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
            </div>
            <div class="offcanvas-body">
                <form method="post" action="<?php echo base_url().'admin/committee/edit'; ?>">
                    <input type="hidden" name="eid" id="eid" value="">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="mb-3">
                                <label class="form-label" for="ecommittee">Committee Name <span class="text-danger">*</span></label>
                                <input type="text" class="form-control <?php echo (!empty(form_error('ecommittee')))?"is-invalid":""; ?>" required value="<?php echo set_value('ecommittee'); ?>" id="ecommittee" name="ecommittee" placeholder="Committee Name" />
                                <?php echo (!empty(form_error('ecommittee')))?form_error('ecommittee'):""; ?>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary">Save Committee</button>
                </form>
            </div>
          </div>
          <!-- offcanvas end -->

          


          
    <?php $this->load->view('admin/components/footer'); ?>
    <?php $this->load->view('admin/components/footer_link');  ?>


  <script>
    function deleteComm(id){
        if(window.confirm('Are you sure, you want to delete this committee?')){
            window.location.href="<?php echo base_url().'admin/committee/delete/' ?>"+id;
        }
    }
    
            
    function showEdit(id){
        $.ajax({
            type:"POST",
            url:"<?php echo base_url().'admin/committee/getDataAjax/' ?>"+id,
            success:function(response){
                let data = JSON.parse(response)
                console.log(data);
                $("#eid").val(data[0].cc_id);
                $("#ecommittee").val(data[0].committee_name);
            }
        })

        const editOffCanvas = document.getElementById("editOffCanvas");
        var bsOffcanvas = new bootstrap.Offcanvas(editOffCanvas)
        bsOffcanvas.show()
    }
  </script>
  
</body>


</html>
