<!DOCTYPE html>

<html lang="en" class="light-style layout-menu-fixed " dir="ltr" data-theme="theme-default" data-assets-path="../assets/" data-template="vertical-menu-template-free">
    
<head>
    <?php
        $data = [];
        $data['title'] = "Previous Principals";
        $this->load->view('admin/components/header_link', $data); 
    ?>
</head>

<body>

  <!-- Layout wrapper -->
<div class="layout-wrapper layout-content-navbar  ">
  <div class="layout-container">


    <?php $this->load->view('admin/components/menu'); ?>
    
    
    <!-- Layout container -->
    <div class="layout-page">
        
        
        <!-- Navbar -->
        <?php $this->load->view('admin/components/navbar'); ?>
        <!-- / Navbar -->

      

      <!-- Content wrapper -->
      <div class="content-wrapper">
        <!-- Content -->
          <div class="container-xxl flex-grow-1 container-p-y">
            <div class="row">
                <div class="col-sm-12">
                    <?php
                    if($this->session->flashdata('success')!=""){
                    ?>
                        <div class="alert alert-success" role="alert">
                            <?php echo $this->session->flashdata('success'); ?>
                        </div>
                    <?php
                    }
                    ?>
                    <?php
                    if($this->session->flashdata('error')!=""){
                    ?>
                        <div class="alert alert-danger" role="alert">
                            <?php echo $this->session->flashdata('error'); ?>
                        </div>
                    <?php
                    }
                    ?>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12 mb-4 order-0">
                    <div class="card">
                        <div class="card-header d-flex justify-content-between align-items-center">
                            <h5 class="mb-0">Add Previous Principal</h5>
                        </div>
                        <div class="card-body">
                            <form action="<?php echo base_url().'admin/prev_principal/create'; ?>" method="post">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="pname">Principal Name <span class="text-danger">*</span></label>
                                            <input type="text" required class="form-control <?php echo (!empty(form_error('pname')))?"is-invalid":""; ?>" id="pname"  value="<?php echo set_value('pname'); ?>" name="pname" placeholder="Principal Name" />
                                            <?php echo (!empty(form_error('pname')))?form_error('pname'):""; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="tenure">Tenure <span class="text-danger">*</span></label>
                                            <input type="text" required class="form-control <?php echo (!empty(form_error('tenure')))?"is-invalid":""; ?>" value="<?php echo set_value('tenure'); ?>" id="tenure" name="tenure" placeholder="Tenure" />
                                            <?php echo (!empty(form_error('tenure')))?form_error('tenure'):""; ?>
                                        </div>
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-primary">Save</button>
                            </form>
                        </div>                            
                    </div>
                </div>

                <div class="col-lg-12 mb-4 order-0">
                    <div class="card">
                        <div class="card-header d-flex justify-content-between align-items-center">
                            <h5 class="mb-0">View Previous Principals</h5>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive text-nowrap">
                                <table class="table table-bordered">
                                    <thead>
                                    <tr>
                                        <th>S. No.</th>
                                        <th>Principal Name</th>
                                        <th>Tenure</th>
                                        <th>Date</th>
                                        <th>Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $i = 1;
                                        if(isset($prevp)){
                                            foreach($prevp as $prevp){
                                        ?>
                                    <tr>
                                        <td><?php echo $i; ?></td>
                                        <td><?php echo $prevp['pp_name'] ?></td>
                                        <td><?php echo $prevp['pp_tenure'] ?></td>
                                        <td><?php echo date('d-M-Y', strtotime($prevp['added_on'])) ?></td>
                                        <td>
                                        <div class="dropdown">
                                            <button type="button" class="btn p-0 dropdown-toggle hide-arrow" data-bs-toggle="dropdown"><i class="bx bx-dots-vertical-rounded"></i></button>
                                            <div class="dropdown-menu">
                                            <a class="dropdown-item" href="javascript:void(0);" onclick="showEdit(<?php echo $prevp['pp_id'] ?>)"><i class="bx bx-edit-alt me-1"></i> Edit</a>
                                            <a class="dropdown-item" href="javascript:void(0);" onclick="deletePrevPri(<?php echo $prevp['pp_id'] ?>)"><i class="bx bx-trash me-1"></i> Delete</a>
                                            </div>
                                        </div>
                                        </td>
                                    </tr>
                                    <?php
                                        $i++;
                                            }
                                        }
                                    ?>
                                  
                                    </tbody>
                                </table>
                            </div>
                        </div>                            
                    </div>
                </div>
            </div>
          </div>
          <!-- / Content -->




          
          

          <!-- offcanvas start -->
          <div class="offcanvas offcanvas-end" tabindex="-1" id="editOffCanvas" aria-labelledby="offcanvasEndLabel">
            <div class="offcanvas-header">
              <h5 id="offcanvasEndLabel" class="offcanvas-title">Edit Previous Principal</h5>
              <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
            </div>
            <div class="offcanvas-body">
                <form method="post" action="<?php echo base_url().'admin/prev_principal/edit'; ?>">
                    <input type="hidden" name="eid" id="eid" value="">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="mb-3">
                                <label class="form-label" for="epp_name">Principal Name <span class="text-danger">*</span></label>
                                <input type="text" class="form-control <?php echo (!empty(form_error('epp_name')))?"is-invalid":""; ?>" required value="<?php echo set_value('epp_name'); ?>" id="epp_name" name="epp_name" placeholder="Previous Principal Name" />
                                <?php echo (!empty(form_error('epp_name')))?form_error('epp_name'):""; ?>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="mb-3">
                                <label class="form-label" for="etenure">Tenure <span class="text-danger">*</span></label>
                                <input type="text" class="form-control <?php echo (!empty(form_error('etenure')))?"is-invalid":""; ?>" required value="<?php echo set_value('etenure'); ?>" id="etenure" name="etenure" placeholder="Tenure" />
                                <?php echo (!empty(form_error('etenure')))?form_error('etenure'):""; ?>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary">Save</button>
                </form>
            </div>
          </div>
          <!-- offcanvas end -->

          


          
          <?php $this->load->view('admin/components/footer'); ?>
  
  <?php $this->load->view('admin/components/footer_link');  ?>


  <script>
    function deletePrevPri(id){
        if(window.confirm("Are you sure, you want to delete this principal")){
            window.location.href = "<?php echo base_url().'admin/prev_principal/delete/' ?>"+id;
        }
    }

    

            
    function showEdit(id){
        $.ajax({
            type:"POST",
            url:"<?php echo base_url().'admin/prev_principal/getDataAjax/' ?>"+id,
            success:function(response){
                let data = JSON.parse(response)
                $("#eid").val(data[0].pp_id);
                $("#epp_name").val(data[0].pp_name);
                $("#etenure").val(data[0].pp_tenure);
            }
        })

        const editOffCanvas = document.getElementById("editOffCanvas");
        var bsOffcanvas = new bootstrap.Offcanvas(editOffCanvas)
        bsOffcanvas.show()
    }

  </script>

  
</body>
</html>
